Bug 999029 - %{kernel_source $flavor} and kernel_module_package expands to non-existing directory
%{kernel_source $flavor} and kernel_module_package expands to non-existing di...
Status: CLOSED DUPLICATE of bug 928599
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: redhat-rpm-config (Show other bugs)
7.0
All Linux
unspecified Severity urgent
: rc
: 7.0
Assigned To: Weiping Pan
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 10:38 EDT by Alaa Hleihel
Modified: 2015-01-04 16:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 22:14:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alaa Hleihel 2013-08-20 10:38:41 EDT
NOTE: The bug is related to "Red Hat Enterprise Linux Server release 7.0 Alpha3" but it wasn't in the products list, so i put under RHEL6.

######
Description of problem:
While creating a kernel module package using kernel_module_package. The %{kernel_source $flavor} expands to a non-existing directory:
--------------------------------------------
make: *** /usr/src/kernels/3.7.0-0.36.el7-x86_64: No such file or directory.  Stop.
make: *** [kernel] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.fl4iBx (%build)
--------------------------------------------
%{kernel_source $flavor} returned a path that doesn’t exist: /usr/src/kernels/3.7.0-0.36.el7-x86_64
it should return: /usr/src/kernels/3.7.0-0.36.el7.x86_64
with a dot "." instead of a hyphen before the architecture.


Also, rpm --eval %{kernel_module_package} gives:
%defattr(644,root,root,755)
/lib/modules/3.7.0-0.36.el7/
/lib/firmware/

1. The architecture is missing in path "/lib/modules/3.7.0-0.36.el7/".
it should be "/lib/modules/3.7.0-0.36.el7.x86_64/".
2. "/lib/firmware/" is not always needed by all packages, so i don't think that it should be here.

#####
Version-Release number of selected component (if applicable):
redhat-rpm-config-9.1.0-37.el7.noarch

#####
How reproducible:
always

#####
Steps to Reproduce:
1. Create a spec file using kernel_module_package (and kernel_source).
2. Build.
3. It will fail because of the missing directory.

#####
Actual results:
%{kernel_source $flavor} returns: /usr/src/kernels/3.7.0-0.36.el7-x86_64

#####
Expected results:
%{kernel_source $flavor} should return: /usr/src/kernels/3.7.0-0.36.el7.x86_64
(with a dot "." instead of a hyphen before the architecture.)
Comment 2 Weiping Pan 2013-08-22 03:44:18 EDT
The fix for this bug is already included in the patch for bug 928599, and that bug is fixed in 9.1.0-49 for redhat-rpm-config.
Comment 3 Alaa Hleihel 2013-08-27 04:43:37 EDT
the issue was resolved with version 9.1.0-49.
thanks.
Comment 5 Weiping Pan 2013-12-09 22:13:53 EST
Accordering to the bug description, the product of this bug should be "Red Hat Enterprise Linux 7", so I will modify it.

And accordering to commet 3, this bug is fixed, so I will close it with a dupliacate of bug 928599.
Comment 6 Weiping Pan 2013-12-09 22:14:35 EST

*** This bug has been marked as a duplicate of bug 928599 ***

Note You need to log in before you can comment on or make changes to this bug.